package com.zcxk.process.service;



import com.zcxk.process.dto.TaskUserDTO;
import com.zcxk.process.entity.UserForm;

import java.util.List;
import java.util.Set;


public interface UserFormService {
    /**
     * 获取用户表单列表
     *
     * @return
     */
    List<UserForm> getUserFormList();

    /**
     * 获取表单详情
     *
     * @param formKey   表单KEY
     * @param channelId 场景
     * @return
     */
    UserForm getUserFormDetail(String formKey, Integer channelId);

    UserForm getTaskUserForm(String taskId);

    Set<Integer> getTaskUsers(TaskUserDTO taskUserDTO);
}
